<?php
/*

Plugin Name: Map
Description: Provides a map of the website
Version: 0.1
Author: Andrea Micheloni
Author URI: http://www.tankmiche.com/

Copyright © Andrea Micheloni 2010

Main Map plugin file

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

require_once("gs-map/Map.class.php");

# register plugin
register_plugin(basename(__FILE__, ".php"), 'Map', '0.1', 'Andrea Micheloni', 
	'http://www.tankmiche.com/', 'Displays an (x)HTML map of the website', 
	'theme', 'map_show');

# functions
function map($base = '') {
	$map = new Map();
	if($base)
		$map -> display($base);
	else
		$map -> display();
}

function map_show() {
	echo '<p>I display a map whenever you call <code>map()</code>.</p>';
}

?>
